#
# spec file for package opera
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define tag32b   i386.linux
%define tag64b   x86_64.linux
%define buildnum 1652

Name:           opera
Version:        12.10
Release:        36.1
Summary:        Opera Web Browser (%{version} build %{buildnum})
License:        SUSE-NonFree
Group:          Productivity/Networking/Web/Browsers
Url:            http://www.opera.com/
Source0:        %{name}-%{version}-%{buildnum}.%{tag32b}.tar.xz
Source1:        %{name}-%{version}-%{buildnum}.%{tag64b}.tar.xz
Source2:        operaprefs_fixed.ini
Source3:        README.openSUSE
NoSource:       0
NoSource:       1
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
BuildRequires:  xz
Recommends:     %{name}-gtk = %{version}
Recommends:     %{name}-kde4 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64
Provides:       browser(npapi)

%description
Opera is user-friendly, secure, and exceptionally fast. The browser is
small, yet full-featured and functions well on systems with limited
resources. Opera supports all common Web standards and implements them
according to the official recommendations.

%package gtk
Summary:        Opera GTK engine
Group:          Productivity/Networking/Web/Browsers
Requires:       opera = %{version}

%description gtk
Opera engine for GTK integration.

%package kde4
Summary:        Opera KDE4 engine
Group:          Productivity/Networking/Web/Browsers
Requires:       opera = %{version}

%description kde4
Opera engine for KDE4 integration.

%prep
%setup -q -T -c -n %{name}-%{version} -a 0 -a 1

%build
# check for supported architectures
%ifnarch %{ix86} x86_64
echo 'Only x86 and x86_64 architectures are supported'
exit 1
%endif

%install
# change into right directory
%ifarch %{ix86}
cd %{name}-%{version}-%{buildnum}.%{tag32b}
%endif
%ifarch x86_64
cd %{name}-%{version}-%{buildnum}.%{tag64b}
%endif

./install --repackage %{buildroot}/%{_prefix} --prefix %{_prefix}
mkdir %{buildroot}/etc
cp %{SOURCE2} %{buildroot}/etc
cp %{SOURCE3} %{buildroot}/%{_datadir}/doc/%{name}
%if 0%{?suse_version} < 1130
rm %{buildroot}/%{_prefix}/lib/opera/liboperagtk3.so
%endif

%suse_update_desktop_file opera-browser
%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/opera*
%config /etc/operaprefs_fixed.ini
%{_bindir}/opera*
%{_prefix}/lib/opera
%{_datadir}/opera
%dir %{_datadir}/doc/opera
%doc %{_datadir}/doc/opera/*
%{_datadir}/mime/packages/*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%dir %{_datadir}/icons/hicolor/*/mimetypes
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/mimetypes/*.png
%{_datadir}/icons/hicolor/scalable/mimetypes/*.svg
%exclude %{_prefix}/lib/opera/liboperagtk2.so
%if 0%{?suse_version} > 1120
%exclude %{_prefix}/lib/opera/liboperagtk3.so
%endif
%exclude %{_prefix}/lib/opera/liboperakde4.so

%files gtk
%defattr(-,root,root)
%{_prefix}/lib/opera/liboperagtk2.so
%if 0%{?suse_version} > 1120
%{_prefix}/lib/opera/liboperagtk3.so
%endif

%files kde4
%defattr(-,root,root)
%{_prefix}/lib/opera/liboperakde4.so

%changelog
* Wed Nov  7 2012 lijewski.stefan@gmail.com
- recommended security update to 12.10
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1210
- fixes [bnc#788321]
* Thu Aug 30 2012 lijewski.stefan@zabka.pl
- update to 12.02
  * Fixed an issue where truncated dialogs may be used to trick users
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1202/
- fixes [bnc#778087]
* Thu Aug  2 2012 lijewski.stefan@zabka.pl
- update to 12.01
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1201/
- fixes [bnc#774191]
* Thu Jul 26 2012 lijewski.stefan@zabka.pl
- rename to README.openSUSE
* Mon Jul 16 2012 lijewski.stefan@zabka.pl
- add README-opensuse note about operapref in file
- mark operaprefs_fixed.ini as config
* Wed Jul  4 2012 lijewski.stefan@zabka.pl
- fixes [bnc#769389]:
    added global prefs file disabling opera internal
    update mechanism
- use opera provided install script
* Mon Jun 18 2012 lijewski.stefan@zabka.pl
- update to 12.00
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1200/
- fixes [bnc#767045]
* Fri May 11 2012 lijewski.stefan@zabka.pl
- update to 11.64:
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1164/
- fixes [bnc#761633]
* Thu Apr 26 2012 lijewski.stefan@zabka.pl
- update to 11.62:
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1162/
- fixes [bnc#754687], CVE-2012-1924,CVE-2012-1925,CVE-2012-1926,
  CVE-2012-1927,CVE-2012-1928,CVE-2012-1929CVE-2012-1930,
  CVE-2012-1931
* Mon Mar  5 2012 vdziewiecki@suse.com
- add Provides: browser(npapi) FATE#313084
* Sun Feb  5 2012 aj@suse.de
-  Set license to SUSE-NonFree.
* Fri Jan 27 2012 lijewski.stefan@zabka.pl
- updated to 11.61
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1161/
- fixes [bnc#743079]
* Wed Dec  7 2011 prusnak@opensuse.org
- updated to 11.60
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1160/
* Thu Oct 20 2011 prusnak@opensuse.org
- updated to 11.52
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1152/
* Sat Sep  3 2011 lijewski.stefan@gmail.com
- updated to 11.51
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1151/
* Wed Jul  6 2011 lijewski.stefan@gmail.com
- updated to 11.50
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1150/
- fixes CVE-2011-1337, CVE-2011-2609 - CVE-2011-2627 [bnc#703668]
* Wed Jul  6 2011 lijewski.stefan@gmail.com
- updated to 11.15
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1150/
- fixes [bnc#703668]
* Wed May 18 2011 prusnak@opensuse.org
- updated to 11.11
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1111/
- fixes [bnc#694567]
* Tue Apr 12 2011 prusnak@opensuse.org
- updated to 11.10
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1110/
* Thu Feb  3 2011 prusnak@opensuse.org
- updated to 11.01
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1101/
- fixes [bnc#667639], CVE-2011-0681 - CVE-2011-0687
* Thu Dec 16 2010 prusnak@opensuse.org
- updated to 11.00
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1100/
- fixes [bnc#659882]
- drop ppc build as upstream is not creating packages anymore
* Sun Oct 24 2010 prusnak@opensuse.org
- subpackages (gtk,kde4) should require main package
* Tue Oct 12 2010 prusnak@opensuse.org
- updated to 10.63
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1063/
* Tue Oct 12 2010 prusnak@opensuse.org
- updated to 10.62
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1062/
* Mon Aug 30 2010 prusnak@opensuse.org
- split off gtk and kde4 engines [bnc#635360]
* Mon Aug 23 2010 prusnak@opensuse.org
- updated to 10.61 (build 6430)
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1061/
  * fixes [bnc#630771]
* Wed Jul  7 2010 prusnak@opensuse.org
- updated to 10.60 (build 6386)
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1060/
  * fixes [bnc#583620] [bnc#607823] [bnc#615942]
* Mon Nov 23 2009 prusnak@suse.cz
- updated to 10.10 (build 4742)
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1010/
* Mon Nov  2 2009 prusnak@suse.cz
- updated to 10.01 (build 4682)
  * full changelog available at:
    http://www.opera.com/docs/changelogs/unix/1001/
* Tue Sep  1 2009 prusnak@suse.cz
- updated to 10.00 final (build 4585)
  * full changelog available at:
    http://my.opera.com/desktopteam/blog/opera-10-goes-final
- replaced icons with upstream ones
- hopefully closes bugs [bnc#491876], [bnc#514728], [bnc#522940]
* Tue Aug 25 2009 prusnak@suse.cz
- updated to 10.00 rc (build 4570)
  * full changelog available at:
    http://my.opera.com/desktopteam/blog/2009/08/25/opera-10-0-release-candidate
* Thu Aug 13 2009 prusnak@suse.cz
- updated to 10.00 beta 3 (build 4538)
  * full changelog available at:
    http://my.opera.com/desktopteam/blog/2009/08/13/opera-10-0-beta-3
* Mon Aug 10 2009 prusnak@suse.cz
- updated to 10.00 (build 4529)
  * full changelog available at:
    http://my.opera.com/desktopteam/blog/2009/08/07/whats-with-the-red-dots-on-the-tabs
- use Qt4 build for x86 and x86_64 (no ppc Qt4 build yet)
* Thu Aug  6 2009 prusnak@suse.cz
- updated to 10.00 (build 4520)
  * full changelog available at:
    http://my.opera.com/desktopteam/blog/2009/07/31/tab-thumbnails-on-the-sides-and-opera-unite-improvements
* Wed Jul 22 2009 prusnak@suse.cz
- updated to 10.00 (build 4502)
  * full changelog available at:
    http://my.opera.com/desktopteam/blog/2009/07/21/new-snapshot-new-possibilities
* Thu Jul 16 2009 prusnak@suse.cz
- updated to 10.00 (build 4493)
  * lots of changes - full list is available at:
    http://my.opera.com/desktopteam/blog/2009/07/16/more-than-beta-2
- added download script (download.sh, to make updates easier)
* Mon Jul 13 2009 prusnak@suse.cz
- updated to 10.00 (build 4478)
  * lots of changes - full list is available at:
    http://my.opera.com/desktopteam/blog/2009/07/09/snapshot
* Mon Jun 15 2009 prusnak@suse.cz
- updated to 10.00 (aka build 4440)
  Opera Unite
  * a collaborative technology that uses a compact server inside
    the Opera desktop browser to share data and services
  User Interface
  * "Remove From Toolbar" and other toolbar customization options
    have been moved into a submenu.
  * The ability to reset toolbar customization has been added.
  * The search field can now be resized.
  Mail, News, Chat
  * A "delete after X number of days" facility has been added.
  * Mails can now have horizontal scrollbars.
  * Fixes have been made to mail compose.
  * The adding of links to HTML mails has been improved.
  * A recovery mechanism for corrupt mail databases has been added.
  * Feed progress which sometimes stuck on non-existent resources
    has been fixed.
  * Attachments in multipart/mixedpart of multipart/alternative mail
    are now correctly displayed.
  * When viewing a message, message subjects are now a text field
    again instead of a button.
  * Additional online feed readers have been added to the feed preview
    page.
  * Sent mail is now shown when using threading in the e-mail client.
  * A thread button has been added to the message list toolbar.
  * Keyboard shortcuts for Go to Thread (D), Watch Thread (Ctrl-D),
    and Ignore Thread (Ctrl-Shift-D) have been added.
  * The encoding mismatch dialog has been removed.
  Display and scripting
  * Full RGBA support is now included.
  * Basic Web font support has been added:
    o font specification (@font-face CSS rule) with the font-family
    descriptor that controls font choices
    o src descriptor with local and remote
    o Truetype (ttf) and Scalable Vector Graphics (svg) font support
  * Support has been added for the W3C Selectors API.
  * The objects returned by getClientRects() and getBoundingClientRect()
    have been renamed to ClientRectList and ClientRect instead of
    TextRectangle and TextRectangleList.
  * XMLHttpRequests will now trigger start-loading/end-loading events.
  * The proprietary window.setDocument method has been removed.
  * Support has been added for the SVGElement.currentFps and
    SVGElement.targetFps properties to read and control SVG
    frames per second.
  * The load event for scripts is now sent after the script is executed
    rather than before.
  * The load event is now sent to frame/iframe/object elements before
    it is sent to the document.
  * A highlight will no longer be added when HTMLElement.focus()
    is called unless keyboard navigation is already activated.
  Security
  * Support for TLS 1.2 has been added.
  * SSL v2 and weak cipher support have been completely removed.
  Miscellaneous
  * Opera now supports alpha transparent widget windows on Linux
    (rounded corners).
  * The painting of windowless plugins has been fixed.
  * A Java-related issue has been fixed.
  * Fixes have been applied to font fallback problems.
  * Opera no longer recognizes or supports the http://www.w3.org/TR/REC-html40
    namespace as an alias of http://www.w3.org/1999/xhtml.
  * Core fixes, including fixes for getElementsByClassName have been made,
    which should now work with multiple classes in className.
  * Regex \b is now correctly not matching the point between
    a letter and underscore.
  * Facebook chat has been fixed.
  * Image downloading has been improved.
  * Gmail problems have been solved.
  * Files generated by the Opera installer now use the same naming scheme
    across different platforms.
  * Support for UTF-32 encoding has been removed.
  * User JS files will now be executed in alphabetical order rather than file
    system order.
  * The first ID (instead of the last) is now used on pages with duplicate IDs
    when navigating to fragment IDs.
  * Support for the altGlyph element in SVGs has been added.
  * Support for 32-bit alpha in BMP and RLE-encoded BMP images has been added.
  * Several memory leaks have been plugged.
  * Several stability issues have been fixed.
  * Network access for widgets is now opt-in:
    o All existing widgets must be updated in order to have network access.
    o All widgets on widgets.opera.com have been given Internet access.
    o Network access is specified using the network attribute of the widget element:
    + Widgets that use <widget network="private"> will have Intranet access only.
    + Widgets that use <widget network="private public"> will have Intranet and Internet access.
- replaced icons with Tango version by Tomas Kebert
* Wed Mar  4 2009 prusnak@suse.cz
- updated to 9.64 (aka build 2480)
  * Security
  * Fixed an issue where specially crafted JPEG images could be used
    to execute arbitrary code, as reported by Tavis Ormandy
    of the Google Security Team; see our advisory
  * Fixed an issue where plug-ins could be used to allow cross
    domain scripting, as reported by Adam Barth; details will
    be disclosed at a later date.
  * Fixed a moderately severe issue; details will be disclosed
    at a later date.
  * Added Untrusted Rootstore Capability:
    o Opera downloads only the detailed information about
    untrusted (blacklisted) certificates when they are encountered
    o If download fails for certificate information in the list,
    Opera considers any certificate matching the ID as untrusted
  * Added version conditional fetching of certificate dependencies
    from an online repository
  * Fixed a problem downloading the CRL (Certificate Revocation List)
  * Fixed a problem that could cause SSL to deadlock in one state,
    hanging the connection
  * Fixed a problem that could cause the incorrect calculation
    of Certificate IDs
  * Implemented Extended Validation (EV) for cross-signed EV Root
    Certificates not shipped by default
  * Implemented preshipping of the Entrust 2048 CA (Certificate Authority)
  * Implemented Root Certificate fetching from an online repository
    when an intermediate matches a certificate in the repository
  * Improved support for weak encryption when importing .p12 private
    certificates
  * Prevented security information documents from being written to disk
  * Miscellaneous
  * Fixed a problem which created separate feed notifications;
    Opera now groups them together
  * Fixed a problem with the backspace key event in the Flash plug-in
  * Fixed a problem with inline find when no text was entered,
    and the Enter key was pressed
  * Fixed an instability error with the 64 bit Linux version
* Tue Dec 16 2008 prusnak@suse.cz
- updated to 9.63 (aka build 2474)
  * Opera Presto 2.1.1 user agent engine
  * Security
  * Manipulating text input contents can allow execution of
    arbitrary code, as reported by Red XIII. See our advisory.
  * HTML parsing flaw can cause Opera to execute arbitrary code,
    as reported by Alexios Fakos. See our advisory.
  * Long hostnames in file: URLs can cause execution of arbitrary
    code, as reported by Vitaly McLain. see our advisory.
  * Script injection in feed preview can reveal contents of
    unrelated news feeds, as reported by David Bloom. See our
    advisory.
  * Built-in XSLT templates can allow cross-site scripting, as
    reported by Robert Swiecki of the Google Security Team. See our
    advisory.
  * Fixed an issue that could reveal random data, as reported
    by Matthew of Hispasec Sistemas. Details will be disclosed
    at a later date.
  * SVG images embedded using <img> tags can no longer execute
    Java or plugin content, suggested by Chris Evans.
* Wed Nov 19 2008 prusnak@suse.cz
- define default fonts for better integration into desktop
* Thu Oct 30 2008 prusnak@suse.cz
- updated to 9.62 (aka build 2466)
  o Security
  * Fixed an issue where History Search could be used to execute
    arbitrary code, as discovered by Aviv Raff; see our advisory
  * The links panel no longer allows cross-site scripting;
    see our advisory
* Tue Oct 21 2008 prusnak@suse.cz
- updated to 9.61 (aka build 2456)
  o User Interface
  * Fixed an issue with Opera Link which could generate duplicate
    bookmarks during the synchronization process
  * The image toggle button on the status bar is now a normal button,
    and does not have a menu
  o Security
  * Fixed an issue where History Search could be used to reveal
    browsing history, as reported by Roberto Suggi Liverani of
    Security-Assessment.com; see our advisory
  * Fast Forward can no longer allow cross-site scripting,
    as reported by David Bloom; see our advisory
  * Prevented news feed preview from revealing the contents of unrelated
    news feeds, as reported by David Bloom; see our advisory
* Wed Oct  8 2008 prusnak@suse.cz
- updated to 9.60 (aka build 2444)
  o User Interface
  * Opera now remembers the bookmark panel position after restart
  * Added a setting opera:config#UserPrefs|ShowBookmarksInAddressfield-
    Autocompletion to prevent bookmarks from showing in the Address
    field auto-completion drop-down
  * When setting opera:config#TransferWindow|KeepEntriesDays to 0,
    Opera now removes the transfer history when restarting
  * Sites using HTTP Auth are now saved in typed history
  * Opera now stops loading pages with iframes when closing the page
    or pressing stop
  * Page encoding in site preferences can now be reset to automatic
  * Browsing Intranet sites now works after changing proxies in
    a running session
  * Improvements to Opera Link include the synchronization of search
    engines and typed history
  * Changed the default global history to 1000
  * Added a new default speedial.ini
  * Fixed sorting by progress in Transfers
  * Fixed copying of multiple entries from the history manager
  * Fixed a bug that could cause notes to be lost when using certain
    characters
  * Fixed dataloss situation when note folders had more than one line
    in their name
  * Fixed spurious highlighting when using the space character
    in inline find
  * Fixed an issue that would prevent links in frames from being opened
    by the keyboard
  o Mail, News, Chat
  * Added popular Chinese providers in mailproviders.xml
  * Made all top-level access points (except All Messages) selectable
  * Now copes better with broken POP servers that send empty UIDLs
  * The "Large font" setting is now respected for subjects
  * Cache files from feeds no longer show up in Transfers
  * Feeds are now detected even when served as text/html
  * Fixed the synchronization of removed labels for IMAP accounts
  * Fixed an issue where the signatures wouldn't change if the default
    account signature ended with a space
  * Fixed an issue where sent message bodies could disappear under
    certain circumstances
  * Fixed DCC transfers in IRC
  o Display and Scripting
  * Improved Acid3 support: The document property has been removed from
    iframe objects for compatibility with Gecko, WebKit, and the Acid3 test
  * Added support for the caller property on functions:
    http://developer.mozilla.org/En/Core_JavaScript_1.5_Reference:Global_Objects:Function:caller
  * Special characters are now displayed properly in the Address bar
    drop-down
  * Opera Dragonfly element highlighting no longer stays on the page
    after closing the developer tools window
  * Script focused elements are no longer highlighted
  * Fixed saving of SVG when right clicking
  * Fixed an issue where custom search engines would not get a favicon
  o Security
  * Verisign and Comodo are now formally EV-enabled: see Yngve's blog post
  * Fixed an issue where specially crafted addresses could execute
    arbitrary code, as reported by Chris of Matasano Security;
    see our advisory
  * Java applets can no longer be used to read sensitive information,
    as reported by Nate McFeters; see our advisory
  o Miscellaneous
  * Added the Opera Core version (currently "Presto/2.1.1")
    to the User Agent header
  * Improved performance with large wand.dat files
  * Fixed Fast Forward on Google search results pages
  o Unix-specific changes
  * Upgrading Opera on Debian no longer resets default x-www-browser
  * Fixed an issue where text with specified size suddenly disappears
    on Qt4 builds
* Wed Aug 20 2008 lmichnovic@suse.cz
- RC2 is final: adjusted version number
  - security fixes in opera 9.52:
  * Sites can no longer change framed content on other sites
  * Fixed an issue that could allow cross-site scripting
  * Custom shortcuts no longer pass the wrong parameters to
  applications, as reported by Michael A. Puls II
  * Prevented insecure pages from showing incorrect security
  information, as reported by Lars Kleinschmidt
  * Feed links can no longer link to local files
  * Feed subscription can no longer cause the wrong page address
  to be displayed
  - other stability upgrades and features (See Changelog)
* Fri Aug 15 2008 lmichnovic@suse.cz
- update to 9.52 RC2 build 2091
  * Added Help button to "Engine Init() Failed" error message on
  start-up to inform users about problem.
  * Fixed a problem with M&T Bank.
  * Fixed a problem with POP accounts where message bodies weren't
  downloaded.
  * Fixed a small memory leak in the BitTorrent code.
  * Added bookmark path to autocompleted bookmarks in the address
  bar to better distinguish them from visited pages.
  * Disabled APOP authentication for new accounts at online.no
  (not supported by them). Users experiencing problems with
  online.no account should switch to Plaintext authentication.
  * Fixed a crash that could occur when opening mail notification
  popups on a secondary monitor.
  * Fixed a few icon/skin issues.
  * Added a "Close Tab" entry to the File menu on Windows and Linux.
  * Fixed some translation errors.
* Fri Jul  4 2008 lmichnovic@suse.cz
- update to version 9.51
  * Lot's of security and bug fixes. See Changelog for more details.
- changing filehandler.ini inside spec file, erased external source
- erased external lang files cause they are included in the tarball
* Mon Jun 16 2008 lmichnovic@suse.cz
- security update to version 9.50 [bnc#400367]
  * Lot's of security and bug fixes and new features.
  See Changelog for more details.
- all archs (i386, ppc, x86_64) use shared qt3 library and gcc4
- enabled native 64bit build [bnc#204729]
- dropped sparc arch
- Opera now works with Flash plug-in also on 64bit [bnc#336213]
- deleted bugzilla-300536-oneclick.patch because file associations
  are rewritten manually in spec file
- applying bugzilla-208048-scim-qtimm-problem.patch for all archs
- deleted unused and obsolete extra file search.ini
- using AutopreReq on
* Wed Apr 30 2008 prusnak@suse.cz
- added hicolor opera icon [bnc#384209]
  * created by Aakash Soneri (http://www.akkasone.com/)
  * redistributed with written permission of the author
  * http://akkasone.deviantart.com/art/Opera-8-Browser-Icon-22991716
- registration file opera.reg no longer needed
- refactored spec file
* Thu Apr  3 2008 lmichnovic@suse.cz
- security update to 9.27 [bnc#376714]
  * Fixed an issue where newsfeed prompts could cause Opera to
  execute arbitrary code.
  * Solved an issue where resized canvas patterns could cause Opera
  to execute arbitrary code.
  * Improved keyboard handling of password inputs.
  * Fixed a BitTorrent transfer stability issue.
  * Resolved stablity issues with the Acid 3 test.
  * Additional stability fixes.
* Thu Feb 21 2008 lmichnovic@suse.cz
- security update to 9.26 [bnc#363574]
  * Fixed an issue where simulated text inputs could trick users
  into uploading arbitrary files.
  * Image properties can no longer be used to execute scripts.
  * Fixed an issue where the representation of DOM attribute values
  could allow cross site scripting.
  * Fixed a stability issue found in Opera 9.0 to 9.25, when Opera
  connects securely to Windows Server 2008 or other servers
    supporting the TLS Certificate Status extension.
  * Additional stability fixes.
* Fri Feb 15 2008 lmichnovic@suse.cz
- owning directories /usr/share/icons/hicolor/*/*
- added missing coreutils PreReq
- set Requires: on qt3 only for build with shared libs
* Wed Jan  2 2008 lmichnovic@suse.cz
- applying oneclick patch also on ppc arch
* Wed Jan  2 2008 lmichnovic@suse.cz
- security update to 9.25 [#350579]
  CVE-2007-6520, CVE-2007-6521, CVE-2007-6522, CVE-2007-6523,
  CVE-2007-6524
  * Fixed an issue where plug-ins could be used to allow cross
  domain scripting.
  * Fixed an issue with TLS certificates that could be used to
  execute arbitrary code.
  * Rich text editing can no longer be used to allow cross domain
  scripting.
  * Fixed a problem where malformed BMP files could cause Opera to
  temporarily freeze.
  * Prevented bitmaps from revealing random data from memory.
* Mon Oct 22 2007 lmichnovic@suse.cz
- security update to 9.24
  CVE-2007-5540, CVE-2007-5541 [#334832]
  * Fixed an issue where external news readers and e-mail clients
  could be used to execute arbitrary code
  * Fixed an issue where scripts could overwrite functions on pages
  from other domains.
- updated language files to meet the version [#331913]
* Thu Oct 18 2007 ro@suse.de
- don't build on x86_64, let's use the x86 version until we
  get something native
* Fri Aug 31 2007 ltinkl@suse.cz
- fix #300536 add one-click installation associations to opera
* Thu Aug 16 2007 ltinkl@suse.cz
- update to 9.23 (#300605 - VUL-0: opera: a specially crafted
  JavaScript can make Opera execute arbitrary code)
- #300536 - add one-click installation associations to opera
* Mon Jul 23 2007 lmichnovic@suse.cz
- update to 9.22 (#293101 VUL-0: opera 9.22 fixes double free bug)
  Crafted torrent files can execute arbitrary code; CVE-2007-2809
* Tue Jul 10 2007 ltinkl@suse.cz
- fix #289701 – old opera icons
* Thu Jul  5 2007 coolo@suse.de
- put desktop file into package and replaced references to the old
  icon
* Tue May 29 2007 ltinkl@suse.cz
- update to 9.21 fix release
- fix rpmlint warning about unsupported distro (8.20)
* Mon May  7 2007 ro@suse.de
- added unzip to buildrequires
* Wed Apr 18 2007 ltinkl@suse.cz
- update to 9.20 (#264218 - VUL-0: opera version 9.20 released)
* Wed Apr  4 2007 mfabian@suse.de
- Bugzilla #208048: add workaround to start script to avoid
  bad page layout in some locales when scim-qtimm is installed.
* Tue Jan  2 2007 ltinkl@suse.cz
- update to 9.10
* Sat Sep 30 2006 ltinkl@suse.cz
- fix #189635 - opera9 cannot be installed during system upgrade
- fix #208742 - VUL-0: opera: RSA signature forgery problem
- update to 9.02
* Wed Aug 16 2006 ltinkl@suse.cz
- #190137: incompatible language files in Opera 9.0-1.1 & Opera 9.0-1.3
* Thu Aug 10 2006 ltinkl@suse.cz
- #188632 - Opera 9.0 denial of service with A tag
* Tue Jun 27 2006 ltinkl@suse.cz
- update to 9.0 final
- #187716 - VUL-0: Opera jpeg integer overflow
- #176127 - /usr/share/pixmaps/opera.xpm and /usr/share/icons/opera.xpm are directories
* Thu May  4 2006 ltinkl@suse.cz
- fix #168288 - VUL-0: opera code exec via stylesheet (update to 8.54)
* Mon Feb 20 2006 ltinkl@suse.cz
- security update to 8.52 (#151788)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 ro@suse.de
- really use buildroot
* Tue Dec 13 2005 ltinkl@suse.cz
- add buildroot + norootforbuild
* Wed Nov 23 2005 ltinkl@suse.cz
- VUL-0: opera command line url shell command injection (#134905)
- update to 8.51
* Sat Sep 24 2005 ltinkl@suse.cz
- fix version number, really 8.50 :)
* Wed Sep 21 2005 ltinkl@suse.cz
- update to 8.05, fixing security issue #117980
* Thu Sep  1 2005 ltinkl@suse.cz
- go back to the stable version 8.02, register the version
  using the key kindly provided by Opera
* Tue Aug  2 2005 ltinkl@suse.cz
- update to 8.10 Preview
* Mon Jun 20 2005 ltinkl@suse.cz
- update to 8.01, fixing several security issues (#91179 and others)
* Mon May 23 2005 ltinkl@suse.cz
- major update to 8.0, all platforms
* Thu Feb 10 2005 ltinkl@suse.cz
- don't allow tricking the user into running arbitrary commands
  (#49218)
* Tue Oct  5 2004 ltinkl@suse.cz
- fix Netscape plugins (#46010)
* Wed Sep 15 2004 ltinkl@suse.cz
- x86 and ppc versions switched to dynamically linked against Qt (#43526)
- fix local file detection vulnerability (#43923)
- fix address bar spoofing vulnerability (#42279)
* Tue Sep 14 2004 kukuk@suse.de
- Remove OpenMotif1 and OpenMotif2 plugins [Bug #43311]
* Wed Aug 18 2004 ltinkl@suse.cz
- updated to 7.54
* Fri Jul 23 2004 ltinkl@suse.cz
- update to 7.53 (#42279)
* Fri Jul  9 2004 ltinkl@suse.cz
- update to 7.52
* Tue Jun  8 2004 ltinkl@suse.cz
- security bugfix update (#41628)
* Thu May 13 2004 ltinkl@suse.cz
- updated to 7.50 (all archs)
- threw away the now unused patch
* Mon Feb 23 2004 ltinkl@suse.cz
- updated to 7.23 for all archs
- updated the language files
- got rid of the motifwrapper hack
* Tue Sep 16 2003 aj@suse.de
- Remove broken requires.
* Thu Aug 28 2003 pthomas@suse.de
- Use the operamotifwrapper plugin from opera 7.20b as this
  is linked against the current libXm.so.3.
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Fri Aug 15 2003 pthomas@suse.de
- Update ix86 and ppc to 7.11.
- Update sparc to 6.12 beta.
- Add most of the available language files.
* Wed Nov 13 2002 ro@suse.de
- comment out kde2 stuff
* Wed Aug 28 2002 uli@suse.de
- update -> 6.03 for i386 & compatibles
* Tue Aug 13 2002 ro@suse.de
- removed gnome1 support
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Thu Jul  4 2002 sndirsch@suse.de
- added german help module (Bug #16341)
* Wed Jun  5 2002 stepan@suse.de
- patch install script to recognize hammer architecture.
* Wed May 29 2002 uli@suse.de
- update -> 6.01 (secfix)
* Mon May 27 2002 uli@suse.de
- added German localization from http://www.blauwal.at/opera
  (bug #16341)
* Wed May 15 2002 uli@suse.de
- update -> 6.0 final (x86 only)
* Fri Feb 22 2002 uli@suse.de
- update -> 6.0 (x86 only)
* Wed Jan 23 2002 ro@suse.de
- build using kde2-compat
- will need port to kde3 (icon pathes only)
* Mon Sep 17 2001 uli@suse.de
- initial package, x86/sparc/ppc only
